## edu.cwru.SimpleRTS.model.unit.mobile
Class MobileUnitTemplate

    java.lang.Object
      edu.cwru.SimpleRTS.model.unit.UnitTemplate
          edu.cwru.SimpleRTS.model.unit.mobile.MobileUnitTemplate

All Implemented Interfaces:
  Template<Unit>

    public abstract class MobileUnitTemplate

extends UnitTemplate

Constructor Summary
`MobileUnitTemplate()`

Method Summary
`abstract Unit` `produceInstance()` A factory method that produces copies of a "default" object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MobileUnitTemplate

    public MobileUnitTemplate()

Method Detail

### produceInstance

    public abstract Unit produceInstance()

  Description copied from interface: `Template`
  A factory method that produces copies of a "default" object

  Specified by:
    `produceInstance` in interface `Template<Unit>`
  Specified by:
    `produceInstance` in class `UnitTemplate`
  Returns: